Token de Certificação para Assinatura Digital OAB - Instalação no Ubuntu 14.04/15.04

Este artigo busca organizar as ideias publicadas em diversos artigos de autores vários, com a finalidade facilitar a instalação do Token de autenticação para assinatura Digital, utilizado pela Ordem dos Advogados do Brasil (OAB) e outros órgãos. Esta instalação foi testada em Ubuntu 14.04.

[ Hits: 28.175 ]

Por: andre uebe em 06/02/2017 | Blog: http://resa.net.br


Instalando o criptógrafo



Conforme Guicolândia [3], é neste ponto que devemos reconhecer o esforço da Valid Certificadora ao disponibilizar o criptógrafo para Linux. Pessoalmente, recomendo darmos preferência de compra à empresas que, como essa, valorizam o universo Linux.

Infelizmente, como dito anteriormente, a Canonical alterou o compilador do Ubuntu a partir da versão 15.10, o que justifica a necessidade de utilizar a versão 14.04 para os procedimentos atuais.

Dependendo da arquitetura do processador de seu computador, há duas versões disponíveis para download. Saiba a arquitetura do processador digitando o comando no terminal:

uname -r

Use os comandos a seguir, no terminal, para baixar a versão correspondente para o diretório escolhido.

Para 64 bits:

wget http://www.validcertificadora.com.br/upload/downloads/linux64bits/safesignidentityclient_3.0.77-Ubuntu_amd64.deb

Para 32 bits:

wget http://www.validcertificadora.com.br/upload/downloads/linux32bits/safesignidentityclient_3.0.77-Ubuntu_i386.deb

Ao término do download, instale o arquivo conforme a versão baixada, por meio de um dos comandos a seguir, copiado e colado de acordo com seu processador, no terminal:

Para 64 bits:

sudo dpkg -i safesignidentityclient_3.0.77-Ubuntu_amd64.deb

Para 32 bits:

sudo dpkg -i safesignidentityclient_3.0.77-Ubuntu_i386.deb

Configurando e testando o token

A configuração do token se dá via navegador de internet Firefox, para todo o sistema.

Abra o navegador e siga os passos, conforme descrito na figura a seguir:
Linux: Instalando o Token de certificação para assinatura digital OAB no Linux
  • Abra o menu na treliça na parte superior direita;
  • Selecione "Preferências";
  • Selecione "Dispositivos de Segurança";
  • Selecione "Carregar";
  • Selecione "Navegador";
  • Selecione o arquivo "libaetpkss.so.3" (se a instalação do SafeSign foi feita corretamente, este arquivo estará disponível);
  • Escolha um nome (ex.: Token OAB).

Em seguida, deve-se fazer a integração do Token com o terminal. Para isto, acesse o aplicativo TokenAdmin:
Linux: Instalando o Token de certificação para assinatura digital OAB no Linux
Selecione a opção "Integração".
Linux: Instalando o Token de certificação para assinatura digital OAB no Linux
Selecione Firefox e "Instalar"
Linux: Instalando o Token de certificação para assinatura digital OAB no Linux
Se tudo correr bem na rápida instalação, uma mensagem aparecerá informado que o procedimento foi bem sucedido.

Para testar se o token está funcionando corretamente, abra o aplicativo Token Admin:
Linux: Instalando o Token de certificação para assinatura digital OAB no Linux
E veja se o mesmo consta como operacional:
Linux: Token de Certificação para Assinatura Digital OAB - Instalação no Ubuntu 14.04/15.04
Página anterior     Próxima página

Páginas do artigo
   1. Antes de começar
   2. Instalando bibliotecas e configurando grupo de usuário
   3. Instalando o criptógrafo
   4. Configurando o assinador digital
Outros artigos deste autor

Mencoder - Convertentdo vídeos de webcam para divx

Extraindo na "marra" textos de um PDF bloqueado

Instalando a recovery TWRP 2.8 e o Android Katkiss 6.0 no Tablet Asus Transformer TF101

Fazendo backup no Gmail via cliente de e-mail e IMAP

Substituindo a partição Recovery do Android via ADB

Leitura recomendada

Alsa + Esound no Slackware (deixando o som supimpa!)

Configurando a placa de rede wireless RTL8187 no Ubuntu 9.04

Linux no Palm TX!

Utilização de termômetro de ambiente com conexão USB no Debian

Easy Peasy 1.5 Linux para Netbooks

  
Comentários
[1] Comentário enviado por smkbarbosa em 06/02/2017 - 20:29h

Bom artigo! Assim que possível executarei pra ver como fica.

Samuel Barbosa

[2] Comentário enviado por teccert em 07/02/2017 - 10:05h

Caro André, ótima iniciativa, é por isto que mesmo não sendo a maior fortuna do mundo a comunidade Linux segue avante.
Eu em particular consegui fazer funcionar o meu certificado digital A3 e A1, Token da Certisign, funcionarem no ubuntu 16.04 de maneira fácil e com o driver 9.0 seguindo as orientações deste site: https://site.solutinet.com.br/2015/manuais/instaladores/
Acredito, que este poderá servir como um outro modo de fazer funcionar o certificado digital no ubuntu 16.04, além, é claro, deste seu tutorial tão bem produzido.

[3] Comentário enviado por andreuebe em 09/02/2017 - 16:17h


[2] Comentário enviado por teccert em 07/02/2017 - 10:05h

Caro André, ótima iniciativa, é por isto que mesmo não sendo a maior fortuna do mundo a comunidade Linux segue avante.
Eu em particular consegui fazer funcionar o meu certificado digital A3 e A1, Token da Certisign, funcionarem no ubuntu 16.04 de maneira fácil e com o driver 9.0 seguindo as orientações deste site: https://site.solutinet.com.br/2015/manuais/instaladores/
Acredito, que este poderá servir como um outro modo de fazer funcionar o certificado digital no ubuntu 16.04, além, é claro, deste seu tutorial tão bem produzido.


Valeu a dica!! No Ubuntu 16 é tudo de bom!! Obrigado

[4] Comentário enviado por andreuebe em 09/02/2017 - 16:17h


[1] Comentário enviado por smkbarbosa em 06/02/2017 - 20:29h

Bom artigo! Assim que possível executarei pra ver como fica.

Samuel Barbosa


Obrigado!

[5] Comentário enviado por removido em 09/02/2017 - 17:21h

Mandou muito bem! :)

É tão satisfatório ver uma coisa tão complexa (e que não deveria) funcionar no Linux.
Parabéns!

[6] Comentário enviado por pinduvoz em 31/03/2017 - 01:17h

Consegui instalar no Ubuntu 16.04 com o PPA abaixo:

http://ppa.launchpad.net/nilarimogard/webupd8/ubuntu

No resto segui seu guia, removendo pacotes que não foram encontrados.

Deu nisso:

sudo apt install -y libengine-pkcs11-openssl libp11-2 libpcsc-perl libccid libpcsclite1 pcscd pcsc-tools libasedrive-usb opensc libssl1.0.0 openssl libopensc-openssl libjbig0 libtiff5 fontconfig-config libfontconfig1 libwxbase3.0 libpcsclite1 libccid pcscd

Na opção nova (sem Java) está marcando que estou inapto, mas só por conta do Ubuntu de 64 bits. Nos demais requisitos, tudo "verde" (postarei uma screen).
Quando eu tiver que peticionar, vou testar.

[7] Comentário enviado por pinduvoz em 31/03/2017 - 01:22h

Complementando:

O pacote que vai faltar e está no PPA é o "libwxgtk2.8-0".

[8] Comentário enviado por andreuebe em 31/03/2017 - 07:00h


[6] Comentário enviado por pinduvoz em 31/03/2017 - 01:17h

Consegui instalar no Ubuntu 16.04 com o PPA abaixo:

http://ppa.launchpad.net/nilarimogard/webupd8/ubuntu

No resto segui seu guia, removendo pacotes que não foram encontrados.

Deu nisso:

sudo apt install -y libengine-pkcs11-openssl libp11-2 libpcsc-perl libccid libpcsclite1 pcscd pcsc-tools libasedrive-usb opensc libssl1.0.0 openssl libopensc-openssl libjbig0 libtiff5 fontconfig-config libfontconfig1 libwxbase3.0 libpcsclite1 libccid pcscd

Na opção nova (sem Java) está marcando que estou inapto, mas só por conta do Ubuntu de 64 bits. Nos demais requisitos, tudo "verde" (postarei uma screen).
Quando eu tiver que peticionar, vou testar.


Que legal!! Feliz por nova é melhor solução ter surgido! Parabéns :D

[9] Comentário enviado por carvalhonh em 05/04/2020 - 14:14h

PARA TODOS OS LINUX PJE TJSP ETC NUNCA MAIS DEFEITO
Tive problemas também
Primeiro apt install libengine-pkcs11-openssl libp11-3 libpcsc-perl libccid libpcsclite1 pcscd pcsc-tools libasedrive-usb opensc libssl1.0.0 openssl libengine-pkcs11-openssl
Porém enviei para pendrive os arquivos descompactados libpng12.so.0 e libwx_gtk2u_core-2.8.so.0 (libwxgtk2.8-0_2.8.12.1+dfsg2-dmo4_amd64.deb libpng12-0_1.2.50-2+deb8u3_amd64.deb)
Depois instalei libwxbase2.8-0_2.8.12.1+dfsg2-dmo4_amd64.deb libjpeg62-turbo_1.5.2-2+b1_amd64.deb libgdbm3_1.8.3-14_amd64.deb libssl1.0.0_1.0.1t-1+deb8u12_amd64.deb são os únicos que instalam e logo em seguida safesignidentityclient_3.0.77-Ubuntu_amd64.deb
pegue aqui: https://www.validcertificadora.com.br/SafeSignLinux
apt update e faltavam os descompactados acima
Então gedit /var/lib/dpkg/status e retire libwxbase2.8-0, libwxgtk2.8-0 e libgdbm3 salve
então apt -f install instalará safesignidentityclient_3.0.77-Ubuntu_amd64.deb porém não abre o utilitário de administração do token para se precisar refazer senha digitadas por três vezes, para quem não precisa está encerrado.
Porém quem entende que é necessário vamos pegar os arquivos descompactados e jogá-los em
cd /tmp/
cp libwx_gtk2u_core-2.8.so.0 /usr/lib/x86_64-linux-gnu/
cd /tmp/
cp libpng12.so.0 /usr/lib/x86_64-linux-gnu/
teste para saber se abrirá: /usr/bin/tokenadmin (veja há falta, acrescente-a ou se tudo ok abrirá)
Uso Linux somente há quinze anos


Contribuir com comentário